package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;

/**
 * 分销商还是门店
 */
@Getter
public enum DistributorOrStoreEnum implements IntArrayValuable {
    DISTRIBUTOR(1, "分销商"),
    STORE(2, "门店");

    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(DistributorOrStoreEnum::getValue).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    DistributorOrStoreEnum(Integer status, String name) {
        this.value = status;
        this.name = name;
    }
}
